[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: SRPMs and RHEL 5/6 and SLES 11

From: Jeff Squyres
Subject: Re: SRPMs and RHEL 5/6 and SLES 11
Date: Tue, 9 Nov 2010 12:17:33 -0500

On Nov 9, 2010, at 11:19 AM, Eric Blake wrote:

>> include options such as --program-suffix, but since our configure script was 
>> bootstrapped with AC 2.65, it doesn't understand --program-suffix.
> Autoconf still supports --program-suffix (although admittedly it has no
> testsuite coverage of this option at the moment). 

Ah ha!  That was exactly the statement I needed -- it made me go look closer as 
to exactly was throwing the error statement that we were seeing.  I made the 
bad assumption that Autoconf had somehow stopped supporting --program-suffix 
without checking our own code first.

It turns out that we know that OMPI's build process doesn't support 
--program-suffix and --program-prefix (for reasons that are uninteresting to 
discuss here), so someone put in some logic a long time ago that detects these 
options and throws the error.  Hence: yes, it's our problem.  Not Autoconf's.

Thanks for pointing me in the right direction, and sorry for the noise.

Jeff Squyres
For corporate legal information go to:

reply via email to

[Prev in Thread] Current Thread [Next in Thread]